Bug 1025752 - I18N business-central in BRMS
I18N business-central in BRMS
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
high Severity high
: ER1
: 6.0.1
Assigned To: Neus Miras
Toshiya Kobayashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 09:16 EDT by Toshiya Kobayashi
Modified: 2014-08-06 15:58 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 15:58:05 EDT
Type: Task
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toshiya Kobayashi 2013-11-01 09:16:14 EDT
Description of problem:

People can use business-central with translated texts.

Steps to Reproduce:
1. Go to http://localhost:8080/business-central/?locale=ja_JP
2. Login
3. Go through all pages

Actual results:

Texts are not translated.

Expected results:

(Almost) All texts are translated.

Additional info:

I find the following locales in community droolsjbpm master. I'm not sure if we can test all of these locales for 6.0.0 but at least ja_JP will be tested.

- de
- es_ES
- fr_FR
- ja_JP
- pt_BR
- zh_CN
Comment 1 manstis 2013-11-04 15:10:23 EST
Pulled and applied latest from Zanata.
Comment 3 manstis 2013-11-04 15:33:41 EST
Toshiya, 

I've pulled all translations for all of the BRMS related projects from Zanata.

Some of these projects however lack any translations (e.g. https://translate.jboss.org/iteration/view/kie-wb-distributions/6.0.0). How can we get the Zanata community to complete translations? There is only so much that we, engineering, can do. 

Thanks, 

Mike
Comment 5 Toshiya Kobayashi 2013-11-06 01:27:30 EST
(In reply to manstis from comment #3)

> Some of these projects however lack any translations (e.g.
> https://translate.jboss.org/iteration/view/kie-wb-distributions/6.0.0). How
> can we get the Zanata community to complete translations? There is only so
> much that we, engineering, can do. 

Thanks Mike, I'll coordinate translators to complete translations.
Comment 6 manstis 2013-11-06 04:28:21 EST
Thanks. Could you please let me know (comment on this BZ) when translations are complete? I'll keep this BZ as "open" until we've merged the completed translations.
Comment 7 Toshiya Kobayashi 2013-11-06 04:44:48 EST
(In reply to manstis from comment #6)
> Thanks. Could you please let me know (comment on this BZ) when translations
> are complete? I'll keep this BZ as "open" until we've merged the completed
> translations.

Sure. I'll let you know on this BZ when translations are complete. (Setting needinfo flag to me)
Comment 10 Toshiya Kobayashi 2013-11-28 02:09:22 EST
Translations are almost finished. es_ES still has some work to do and will likely be done by this Friday. But as the Friday is the code freeze date for ER6, I think it's okay to go without some es_ES text. Please pull from Zanata one more time!
Comment 12 manstis 2013-11-29 05:24:09 EST
jBPM Console still needs to merge latest changes.
Comment 13 Mauricio Salatino 2013-11-29 10:54:44 EST
I'm assigning this issue to Pedro so he can review that all the other components already have the latest translated files. 

I'm also marking the following BZ as modified: https://bugzilla.redhat.com/show_bug.cgi?id=1025755 which contains the commit for the BPM (jbpm console ng) side.
Comment 14 Pedro Zapata 2013-11-29 11:30:24 EST
Can you check if the latest translations have been committed for form modeler and BAM?
Comment 15 Neus Miras 2013-12-04 13:32:20 EST
Form modeler resources updated. I added to kie-wb-distribution gwt.xml (kie-drools-wb and kie-wb)

    <extend-property name="locale" values="es_ES"/>
    <extend-property name="locale" values="fr_FR"/>
    <extend-property name="locale" values="ja_JP"/>
    <extend-property name="locale" values="pt_BR"/>
    <extend-property name="locale" values="zh_CN"/>
    <extend-property name="locale" values="de_DE"/>

to run with different locale. 


Commits:

Master

jbpm-form-modeler
https://github.com/droolsjbpm/jbpm-form-modeler/commit/0c4c9bb3534bfb376ac89bea4ac6c6d4f521797e

kie-distributions
https://github.com/droolsjbpm/kie-wb-distributions/commit/676012c5fc9101a0f145656a8fd7804ccb4c1a69

6.0.x
jbpm-form-modeler
https://github.com/droolsjbpm/jbpm-form-modeler/commit/45674d56efaeb06f172a3466da871bf303b86aa4

kie-distributions
https://github.com/droolsjbpm/kie-wb-distributions/commit/359518de803be781e795a6105d8babb91f95a37d
Comment 19 Lukáš Petrovický 2014-01-14 05:27:50 EST
Adding Toshiya as a QA contact - QE doesn't test locales.
Comment 20 Toshiya Kobayashi 2014-01-14 19:25:15 EST
Now test feedbacks and fixes are reported/worked in BZ1025755 regardless of BRMS or BPMS. Probably it's better to focus on BZ1025755 for now.
Comment 23 Toshiya Kobayashi 2014-01-16 21:28:27 EST
Issues are reported in BZ1025755 (BPMS). Once those issues are fixed in BPMS, I will ask testers to go though BRMS as well and verify that nothing is missed.
Comment 24 Toshiya Kobayashi 2014-01-16 21:31:48 EST
Changing 'Status'/'Target Milestone'/'Target Release' along with BZ1025755
Comment 26 Lukáš Petrovický 2014-06-18 11:16:04 EDT
Toshiya, we need your input here. Can we close this?
Comment 28 Toshiya Kobayashi 2014-06-18 22:42:12 EDT
Yes, please close this BZ (and BZ1025755)!

Note You need to log in before you can comment on or make changes to this bug.